# TODO
# - move tmpwatch R: to php-session package (as session files file storage no
#   longer can cleanup itself due dir perms)
# - https://fedorahosted.org/tmpwatch/ticket/7 is implemented in tmpwatch-2.9.16, see 3467603 todo
Summary:	Common dirs for PHP
Summary(pl.UTF-8):	Wspólne katalogi dla PHP
Name:		php-dirs
Version:	1.10
Release:	4%{?tld}
License:	GPL
Group:		Base
Source0:	php-session.sh
Source1:	crontab
BuildRequires:	rpmbuild(macros) >= 1.644
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires:	tmpwatch
Conflicts:	php-pear < 4:1.4-2
Provides:	group(http)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_prefix}/lib

%global		debug_package	%{nil}

%description
Common directories for PHP.

%description -l pl.UTF-8
Wspólne katalogi dla PHP.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/cron.d,/var/{cache,log,run}/php,/var/log/archive/php} \
	$RPM_BUILD_ROOT%{_docdir}/phpdoc $RPM_BUILD_ROOT{%{_includedir},%{_libdir}}/php \
	$RPM_BUILD_ROOT%{_libexecdir} $RPM_BUILD_ROOT%{php_data_dir}

install -p %{SOURCE0} $RPM_BUILD_ROOT%{_libexecdir}
sed -e 's,@libexecdir@,%{_libexecdir},' %{SOURCE1} >$RPM_BUILD_ROOT/etc/cron.d/php-session

while read dir; do
	install -d $RPM_BUILD_ROOT$dir
done <<EOF
%{php_data_dir}/tests
%{php_data_dir}/Symfony/Bridge
%{php_data_dir}/Symfony/Component
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 51 http

%postun
if [ "$1" = "0" ]; then
	%groupremove http
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/php-session
%attr(755,root,root) %{_libexecdir}/php-session.sh

%dir %{_docdir}/phpdoc
%dir %{_includedir}/php
%dir %{_libdir}/php
%dir %{php_data_dir}

%attr(775,root,http) %dir %verify(not group mode) /var/log/php
%attr(770,root,root) %dir %verify(not group mode) /var/log/archive/php

# no +r, so only predictable names can be used. currently php-soap wsdl cache is there
%attr(730,root,http) %dir %verify(not group mode) /var/cache/php

# http needs only +x for directory
# (otherwise it knows session file names and can read it contents)
# keep o+x for fcgi.sock (lighttpd)
%attr(731,root,http) %dir %verify(not group mode) /var/run/php
%changelog
* Mon Jul 10 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/php-dirs.git;a=log;h=master

* Mon Jul 10 2023 Marcin Krol <hawk@tld-linux.org> 5b83049
- fix build with rpm.org RPM

* Mon Jul 10 2023 Marcin Krol <hawk@tld-linux.org> 2a7d784
- use /etc/php* dirs, release 4

* Sat Sep 26 2020 Marcin Krol <hawk@tld-linux.org> c41eb22
- no longer noarch (due to libdir)

* Sat Sep 26 2020 Marcin Krol <hawk@tld-linux.org> 42381f6
- release 2, shared libdir for PHP versions

* Tue Aug 21 2018 Marcin Krol <hawk@tld-linux.org> 6a30d02
- merged 1.10 from PLD

* Mon Nov 13 2017 Marcin Krol <hawk@tld-linux.org> 410ddf9
- TLDized

* Mon Nov 13 2017 Marcin Krol <hawk@tld-linux.org> b8e0036
- merged 1.7 from PLD

* Sat Jul 18 2015 Marcin Krol <hawk@tld-linux.org> e9a261d
- drop systemd leftovers

* Sat Jul 18 2015 Marcin Krol <hawk@tld-linux.org> 20e49c3
- from PLD

